<?php
if (class_exists('SiteUsers'))
{
	$shop = & singleton('shop');
	
	// Список лицевых счетов
	if (!is_numeric(end($GLOBALS['URL_ARRAY'])))
	{
		$shop->ShowSiteUsersAccount(array(
		'xsl_name' => to_str($GLOBALS['LA']['XslSiteUsersAccount'])));
	}
	else // Расшифровка транзакций
	{
		$SiteUsers = & singleton('SiteUsers');
		$shop_id = intval(end($GLOBALS['URL_ARRAY']));
		$current_site_user = $SiteUsers->GetCurrentSiteUser();
	
		$shop->ShowSiteUsersAccountTransaction(array(
		'site_users_id' => $current_site_user,
		'shop_shops_id' => $shop_id,
		'xsl_name' => to_str($GLOBALS['LA']['XslSiteUsersAccountTransactions'])));
	}
}
else
{
	?>
	<h1>Пользователи сайта</h1>
	<p>Функционал недоступен, приобретите более старшую редакцию.</p>
	<p>Модуль &laquo;<a href="http://www.hostcms.ru/hostcms/modules/users/">Пользователи сайта</a>&raquo; доступен в редакциях &laquo;<a href="http://www.hostcms.ru/hostcms/editions/corporation/">Корпорация</a>&raquo; и &laquo;<a href="http://www.hostcms.ru/hostcms/editions/business/">Бизнес</a>&raquo;.</p> 
	<?php
}
?>